﻿using AutomobilePlantDataModels.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace AutomobilePlantContracts.BindingModels
{
    public class CarBindingModel : ICarModel
    {
        public int Id { get; set; }
        public string CarName { get; set; } = string.Empty;
        public double Price { get; set; }
        public Dictionary<int, (IComponentModel, int)> CarComponents { get; set; } = new();
    }
}
