﻿using AutomobilePlantDataModels.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace AutomobilePlantContracts.BindingModels
{
    public class ShopBindingModel : IShopModel
    {
        public int Id { get; set; }

        public string Name { get; set; } = string.Empty;

        public string Address { get; set; } = string.Empty;
        
        public DateTime OpeningDate { get; set; }

        public Dictionary<int, (ICarModel, int)> ShopCars { get; set; } = new();
        public int MaxCountCars { get; set; }
    }
}
