﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace AutomobilePlantDataModels.Models
{
    public interface IShopModel : IId
    {
        string Name { get; }
        string Address { get; }
        DateTime OpeningDate { get; }
        Dictionary<int, (ICarModel, int)> ShopCars { get; }
        int MaxCountCars { get; }
    }
}
