﻿using AutomobilePlantDatabaseImplement.Models;
using Microsoft.EntityFrameworkCore;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Numerics;
using System.Reflection.Metadata;
using System.Text;
using System.Threading.Tasks;

namespace AutomobilePlantDatabaseImplement
{
    public class AutomobilePlantDatabase : DbContext
    {
        protected override void OnConfiguring(DbContextOptionsBuilder optionsBuilder)
        {
            if (optionsBuilder.IsConfigured == false)
            {
                optionsBuilder.UseSqlServer(@"Server=(localdb)\mssqllocaldb;Initial Catalog=AutomobilePlantDatabaseFull;Integrated Security=True;MultipleActiveResultSets=True;TrustServerCertificate=True");
            }
            base.OnConfiguring(optionsBuilder);
        }
        public virtual DbSet<Component> Components { set; get; }
        public virtual DbSet<Car> Cars { set; get; }
        public virtual DbSet<CarComponent> CarComponents { set; get; }
        public virtual DbSet<Order> Orders { set; get; }
        public virtual DbSet<Shop> Shops { set; get; }
        public virtual DbSet<ShopCar> ShopCars { set; get; }
        public virtual DbSet<Client> Clients { set; get; }
    }
}
