﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Numerics;
using System.Reflection.Metadata;
using System.Text;
using System.Threading.Tasks;

namespace AutomobilePlantDatabaseImplement.Models
{
    public class CarComponent
    {
        public int Id { get; set; }
        [Required]
        public int CarId { get; set; }
        [Required]
        public int ComponentId { get; set; }
        [Required]
        public int Count { get; set; }
        public virtual Component Component { get; set; } = new();
        public virtual Car Car { get; set; } = new();
    }
}
