﻿using AutomobilePlantDataModels.Models;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace AutomobilePlantContracts.ViewModels
{
    public class CarViewModel : ICarModel
    {
        public int Id { get; set; }
        [DisplayName("Название машины")]
        public string CarName { get; set; } = string.Empty;
        [DisplayName("Цена")]
        public double Price { get; set; }
        public Dictionary<int, (IComponentModel, int)> CarComponents { get; set; } = new();
    }
}
