﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace AutomobilePlantDataModels.Models
{
    public interface ICarModel : IId
    {
        string CarName { get; }
        double Price { get; }
        Dictionary<int, (IComponentModel, int)> CarComponents { get; }
    }
}
