﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Reflection.Metadata;
using System.Text;
using System.Threading.Tasks;

namespace AutomobilePlantDatabaseImplement.Models
{
    public class ShopCar
    {
        public int Id { get; set; }

        [Required]
        public int CarId { get; set; }

        [Required]
        public int ShopId { get; set; }

        [Required]
        public int Count { get; set; }

        public virtual Shop Shop { get; set; } = new();

        public virtual Car Car { get; set; } = new();
    }
}
